# Uses of Class
javax.xml.transform.TransformerException

Packages that use TransformerException
Package
Description
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.

## Uses of TransformerException in javax.xml.transform

Subclasses of TransformerException in javax.xml.transform
Modifier and Type
Class
Description
`class`
`TransformerConfigurationException`
Indicates a serious configuration error.
Methods in javax.xml.transform with parameters of type TransformerException
Modifier and Type
Method
Description
`void`
ErrorListener.`error(TransformerException exception)`
Receive notification of a recoverable error.
`void`
ErrorListener.`fatalError(TransformerException exception)`
Receive notification of a non-recoverable error.
`void`
ErrorListener.`warning(TransformerException exception)`
Receive notification of a warning.
Methods in javax.xml.transform that throw TransformerException
Modifier and Type
Method
Description
`void`
ErrorListener.`error(TransformerException exception)`
Receive notification of a recoverable error.
`void`
ErrorListener.`fatalError(TransformerException exception)`
Receive notification of a non-recoverable error.
`Source`
URIResolver.`resolve(String href, String base)`
Called by the processor when it encounters an xsl:include, xsl:import, or document() function.
`abstract void`
Transformer.`transform(Source xmlSource, Result outputTarget)`
Transform the XML `Source` to a `Result`.
`void`
ErrorListener.`warning(TransformerException exception)`
Receive notification of a warning.